package com.hzya.frame.voucher.ae.comf.factor.controller;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.voucher.ae.comf.factor.entity.AeConfInfluenceFactorEntity;
import com.hzya.frame.voucher.ae.comf.factor.service.IAeConfInfluenceFactorService;
import com.hzya.frame.web.action.DefaultController;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created by zydd on 2025-05-23 09:53
 * 会计事项(accounting_event)-配置-影响因素设置，存在关联ncc的自定义档案
 */
@RestController
@RequestMapping("/ae/conf/influenceFactor")
public class InfluenceFactorController extends DefaultController {

    @Autowired
    private IAeConfInfluenceFactorService iAeConfInfluenceFactorService;

    @RequestMapping(value = "/queryPaged", method = RequestMethod.POST)
    public JsonResultEntity queryPaged(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            PageInfo pageInfo = iAeConfInfluenceFactorService.queryEntityPaged(entity);
            return getSuccessMessageEntity("请求成功",pageInfo);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/queryAll", method = RequestMethod.POST)
    public JsonResultEntity queryAll(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            List<AeConfInfluenceFactorEntity> all = iAeConfInfluenceFactorService.queryAll(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/queryById", method = RequestMethod.POST)
    public JsonResultEntity queryById(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            AeConfInfluenceFactorEntity aeConfInfluenceFactorEntity = iAeConfInfluenceFactorService.queryById(entity);
            return getSuccessMessageEntity("请求成功",aeConfInfluenceFactorEntity);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public JsonResultEntity save(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            AeConfInfluenceFactorEntity aeConfInfluenceFactorEntity = iAeConfInfluenceFactorService.save(entity);
            return getSuccessMessageEntity("请求成功",aeConfInfluenceFactorEntity);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/update", method = RequestMethod.POST)
    public JsonResultEntity update(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            AeConfInfluenceFactorEntity aeConfInfluenceFactorEntity = iAeConfInfluenceFactorService.updateById(entity);
            return getSuccessMessageEntity("请求成功",aeConfInfluenceFactorEntity);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/delete", method = RequestMethod.POST)
    public JsonResultEntity delete(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            iAeConfInfluenceFactorService.logicRemove(entity);
            return getSuccessMessageEntity("请求成功",null);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }
    //根据业务模块id查询相关影响因素列表
    @RequestMapping(value = "/queryFluenceFactorsByModuleId", method = RequestMethod.POST)
    public JsonResultEntity queryFluenceFactorsByModuleId(@RequestBody AeConfInfluenceFactorEntity entity) {
        try {
            List<AeConfInfluenceFactorEntity> all = iAeConfInfluenceFactorService.queryFluenceFactorsByModuleId(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

}
