package com.hzya.frame.voucher.ae.comf.factor.controller;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.voucher.ae.comf.factor.entity.AeConfInfluenceFactorCorrelationEntity;
import com.hzya.frame.voucher.ae.comf.factor.service.IAeConfInfluenceFactorCorrelationService;
import com.hzya.frame.web.action.DefaultController;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * Created by zydd on 2025-05-23 09:53
 * 会计事项(accounting_event)-配置-影响因素设置，存在关联ncc的自定义档案
 */
@RestController
@RequestMapping("/ae/conf/influenceFactorCorrelation")
public class InfluenceFactorCorrelationController extends DefaultController {
    @Autowired
    private IAeConfInfluenceFactorCorrelationService aeConfInfluenceFactorCorrelationService;

//    @RequestMapping(value = "/queryPaged", method = RequestMethod.POST)
//    public JsonResultEntity queryPaged(@RequestBody AeConfInfluenceFactorEntity entity) {
//        try {
//            PageInfo pageInfo = aeConfInfluenceFactorCorrelationService.queryEntityPaged(entity);
//            return getSuccessMessageEntity("请求成功",pageInfo);
//        } catch (Exception e) {
//            e.printStackTrace();
//            return getFailureMessageEntity("请求失败",e.getMessage());
//        }
//    }

    @RequestMapping(value = "/queryAll", method = RequestMethod.POST)
    public JsonResultEntity queryAll(@RequestBody AeConfInfluenceFactorCorrelationEntity entity) {
        try {
            List<AeConfInfluenceFactorCorrelationEntity> all = aeConfInfluenceFactorCorrelationService.queryAll(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }
    @RequestMapping(value = "/queryByMdmId", method = RequestMethod.POST)
    public JsonResultEntity queryByMdmId(@RequestBody AeConfInfluenceFactorCorrelationEntity entity) {
        try {
            List<AeConfInfluenceFactorCorrelationEntity> all = aeConfInfluenceFactorCorrelationService.queryByMdmId(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/saveList", method = RequestMethod.POST)
    public JsonResultEntity saveList(@RequestBody List<AeConfInfluenceFactorCorrelationEntity> list) {
        try {
            List<AeConfInfluenceFactorCorrelationEntity> all = aeConfInfluenceFactorCorrelationService.saveList(list);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

        @RequestMapping(value = "/updateList", method = RequestMethod.POST)
    public JsonResultEntity updateList(@RequestBody List<AeConfInfluenceFactorCorrelationEntity> list) {
        try {
            List<AeConfInfluenceFactorCorrelationEntity> all = aeConfInfluenceFactorCorrelationService.updateList(list);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/deleteList", method = RequestMethod.POST)
    public JsonResultEntity deleteList(@RequestBody List<AeConfInfluenceFactorCorrelationEntity> list) {
        try {
            Map<String, Integer> map = aeConfInfluenceFactorCorrelationService.deleteList(list);
            return getSuccessMessageEntity("请求成功",map);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

}
