package com.hzya.frame.voucher.ae.comf.module.controller;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.mdm.mdmModule.service.IMdmModuleService;
import com.hzya.frame.voucher.ae.comf.module.entity.AeConfBusinessModuleMdmEntity;
import com.hzya.frame.voucher.ae.comf.module.service.IAeConfBusinessModuleMdmService;
import com.hzya.frame.web.action.DefaultController;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * Created by zydd on 2025-05-23 16:39
 * 业务模块和单据类型绑定
 */
@RestController
@RequestMapping("/ae/conf/businessModuleMdm")
public class BusinessModuleMdmController extends DefaultController {

    @Autowired
    private IMdmModuleService mdmModuleService;

    @Autowired
    private IAeConfBusinessModuleMdmService aeConfBusinessModuleMdmService;

    @RequestMapping(value = "/queryAll", method = RequestMethod.POST)
    public JsonResultEntity queryAll(@RequestBody AeConfBusinessModuleMdmEntity entity) {
        try {
            List<AeConfBusinessModuleMdmEntity> all = aeConfBusinessModuleMdmService.queryAll(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

    @RequestMapping(value = "/queryModuleIncludeMdmList", method = RequestMethod.POST)
    public JsonResultEntity queryModuleIncludeMdmList(@RequestBody AeConfBusinessModuleMdmEntity entity) {
        try {
            List<AeConfBusinessModuleMdmEntity> all = aeConfBusinessModuleMdmService.queryModuleIncludeMdmList(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }
    @RequestMapping(value = "/queryMdmsByModuleId", method = RequestMethod.POST)
    public JsonResultEntity queryMdmsByModuleId(@RequestBody AeConfBusinessModuleMdmEntity entity) {
        try {
            List<AeConfBusinessModuleMdmEntity> all = aeConfBusinessModuleMdmService.queryMdmsByModuleId(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

//    @RequestMapping(value = "/queryPaged", method = RequestMethod.POST)
//    public JsonResultEntity queryPaged(@RequestBody AeConfBusinessModuleMdmEntity entity) {
//        try {
//            PageInfo pageInfo = aeConfBusinessModuleMdmService.queryEntityPaged(entity);
//            return getSuccessMessageEntity("请求成功",pageInfo);
//        } catch (Exception e) {
//            e.printStackTrace();
//            return getFailureMessageEntity("请求失败", e.getMessage());
//        }
//    }

    /**
     * 保存List集合
     */
    @RequestMapping(value = "/saveList", method = RequestMethod.POST)
    public JsonResultEntity save(@RequestBody List<AeConfBusinessModuleMdmEntity> list) {
        try {
            List<AeConfBusinessModuleMdmEntity> saveList = aeConfBusinessModuleMdmService.saveList(list);
            return getSuccessMessageEntity("请求成功",saveList);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

    /**
     * 更新List集合
     */
    @RequestMapping(value = "/updateList", method = RequestMethod.POST)
    public JsonResultEntity updateList(@RequestBody List<AeConfBusinessModuleMdmEntity> list) {
        try {
            List<AeConfBusinessModuleMdmEntity> saveList = aeConfBusinessModuleMdmService.updateList(list);
            return getSuccessMessageEntity("请求成功",saveList);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }


    /**
     * 删除List集合
     */
    @RequestMapping(value = "/deleteList", method = RequestMethod.POST)
    public JsonResultEntity deleteList(@RequestBody List<AeConfBusinessModuleMdmEntity> list) {
        try {
            Map<String,Integer> deleteMap = aeConfBusinessModuleMdmService.deleteList(list);
            return getSuccessMessageEntity("请求成功",deleteMap);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }


}
