package com.hzya.frame.voucher.ae.comf.module.controller;

import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.mdm.mdmModule.service.IMdmModuleService;
import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.mdm.mdmModuleDbFileds.entity.MdmModuleDbFiledsEntity;
import com.hzya.frame.mdm.mdmModuleDbFileds.service.IMdmModuleDbFiledsService;
import com.hzya.frame.voucher.ae.comf.module.entity.AeConfBusinessModuleMdmEntity;
import com.hzya.frame.voucher.ae.comf.module.entity.MdmAndFiledsVO;
import com.hzya.frame.voucher.ae.comf.module.service.IMdmService;
import com.hzya.frame.web.action.DefaultController;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created by zydd on 2025-05-26 14:35
 * 查询主数据等一系列操作
 */
@RestController
@RequestMapping("/ae/conf/mdm")
public class MdmController extends DefaultController {

    @Autowired
    private IMdmModuleService mdmModuleService;
    @Autowired
    private IMdmModuleDbFiledsService mdmModuleDbFiledsService;
    @Autowired
    private IMdmService mdmService;


    @RequestMapping(value = "/queryAll", method = RequestMethod.POST)
    public JsonResultEntity queryAll(@RequestBody MdmModuleEntity entity){
        try {
            entity.setMdmType("2");//1、档案 2、单据
            List<MdmModuleEntity> all = mdmModuleService.query(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

    @RequestMapping(value = "/queryFiledsByDbId", method = RequestMethod.POST)
    public JsonResultEntity queryFiledsByDbId(@RequestBody MdmModuleDbFiledsEntity entity){
        try {
            List<MdmModuleDbFiledsEntity> all = mdmModuleDbFiledsService.query(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }

    @RequestMapping(value = "/queryMdmAndFiledsByMdmId", method = RequestMethod.POST)
    public JsonResultEntity queryMdmAndFiledsByMdmId(@RequestBody MdmModuleDbEntity entity){
        try {
            List<MdmModuleDbEntity> all = mdmService.queryMdmAndFiledsByMdmId(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败", e.getMessage());
        }
    }


}
