package com.hzya.frame.voucher.ae.comf.module.service.impl;

import cn.hutool.core.lang.Assert;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hzya.frame.page.PageAttribute;
import com.hzya.frame.voucher.ae.comf.module.entity.AeConfBusinessModuleEntity;
import com.hzya.frame.voucher.ae.comf.module.dao.IAeConfBusinessModuleDao;
import com.hzya.frame.voucher.ae.comf.module.service.IAeConfBusinessModuleService;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;

import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.ArrayList;
import java.util.List;

/**
 * 会计事项(accounting_event)-配置-业务模块(AeConfBusinessModule)表服务实现类
 *
 * @author zydd
 * @since 2025-05-22 14:48:28
 */
@Service("AeConfBusinessModuleServiceImpl")
public class AeConfBusinessModuleServiceImpl extends BaseService<AeConfBusinessModuleEntity, String> implements IAeConfBusinessModuleService {

    private IAeConfBusinessModuleDao aeConfBusinessModuleDao;

    @Autowired
    public void setAeConfBusinessModuleDao(IAeConfBusinessModuleDao dao) {
        this.aeConfBusinessModuleDao = dao;
        this.dao = dao;
    }

    @Override
    public PageInfo queryEntityPaged(AeConfBusinessModuleEntity entity) {
        PageHelper.startPage(entity.getPageNum(), entity.getPageSize());
        List<AeConfBusinessModuleEntity> list = aeConfBusinessModuleDao.query(entity);
        PageInfo pageInfo = new PageInfo(list);
        return pageInfo;
    }

    @Override
    public AeConfBusinessModuleEntity queryById(AeConfBusinessModuleEntity entity) {
        Assert.notNull(entity.getId(), "根据id查询业务模块时，id不能为空！！！");
        List<AeConfBusinessModuleEntity> all = dao.query(entity);
        if(all.size()==0) {
            return null;
        }
        return all.get(0);
    }
}
